Search documentation of Plushie

# Plushie.Canvas.ShapeStyle (Plushie v0.7.2)

Copy Markdown View Source

Style overrides for interactive canvas shape states (hover, pressed).

## Summary

### Types

t()

### Functions

from_opts(opts)

Constructs a shape style from a keyword list.

## Types

# t()

    @type t() :: %Plushie.Canvas.ShapeStyle{
      fill: String.t() | map() | nil,
      opacity: number() | nil,
      stroke: String.t() | map() | nil
    }

## Functions

# from_opts(opts)

    @spec from_opts(keyword()) :: t()

Constructs a shape style from a keyword list.